// Tide Protocol - Infrastructure for the Personal Data economy
// Copyright (C) 2019 Tide Foundation Ltd
// 
// This program is free software and is subject to the terms of 
// the Tide Community Open Source License as published by the 
// Tide Foundation Limited. You may modify it and redistribute 
// it in accordance with and subject to the terms of that License.
// This program is distributed WITHOUT WARRANTY of any kind, 
// including without any implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE.
// See the Tide Community Open Source License for more details.
// You should have received a copy of the Tide Community Open 
// Source License along with this program.
// If not, see https://tide.org/licenses_tcosl-1-0-en

import EcScalar from '../src/ecScalar';
import TFastAuthFlow from "../src/tfastAuthFlow";

var user = 'admin';
var urls = ['http://localhost:5001', 'http://localhost:5002', 'http://localhost:5003'/*, 'http://localhost:5004', 'http://localhost:5005', 'http://localhost:5006', 'http://localhost:5007', 'http://localhost:5008'*/];
var pass = "123456";
var key = new EcScalar(987654);
var threshold = 3;

var flow = new TFastAuthFlow(urls, user);
flow.signIn(key, pass, threshold)
    .then(() => flow.logIn(pass, threshold))
    .then((sign) => {
        console.log(sign.toString());
    }).catch(err => {
        console.log(err.response.text);
        console.log(err);
    });
