import EcScalar from '../ecScalar';
import ByteSerializer from '../byteSerializer';
export class TResponseAuth {
    /**
     * @param {bigInt.BigInteger} tranId
     * @param {EcScalar} from
     * @param {EcScalar} si
     */
    constructor(tranId, from, si) {
        this.tranId = tranId;
        this.from = from;
        this.si = si;
    }
    /**
     * @param {string | ArrayBuffer | number[]} data
     */
    static from(data) {
        var buffer = typeof data === 'string' ? Buffer.from(data, "base64")
            : data instanceof ArrayBuffer ? Buffer.from(data) : Buffer.from(data);
        var nums = ByteSerializer.DeserializeNumbers(buffer, 1);
        if (nums.length < 3)
            throw new Error("Format error");
        return new TResponseAuth(nums[0], new EcScalar(nums[1]), new EcScalar(nums[2]));
    }
}
