import assert from 'assert';
import EcScalar from '../src/ecScalar.js';
import TFastRj from '../src/models/tfastRj.js';

describe('TFastRj', function () {
    it('should serialize and deserialize', function () {
        for (var i = 0; i < 20; i++) {
            var r1 = new TFastRj(EcScalar.random().value, Math.random() > 0.5, EcScalar.random(), EcScalar.random(), EcScalar.random(), EcScalar.random(), EcScalar.random().toArray());
            var r2 = TFastRj.from(r1.toString());

            assert.equal(r1.tranId.equals(r2.tranId), true)
            assert.equal(r1.from.equals(r2.from), true)
            assert.equal(r1.to.equals(r2.to), true)
            assert.equal(r1.ciuirjsj.equals(r2.ciuirjsj), true)
            assert.equal(r1.vi.equals(r2.vi), true)
            assert.equal(r1.isFromNeg, r2.isFromNeg)

            assert.equal(Buffer.from(r1.sign).toString('base64'), Buffer.from(r2.sign).toString('base64'))
        }
    });
});
